Last Comment Bug 528272 - [AMO] Update addons.mozilla.org on Nov 12
: [AMO] Update addons.mozilla.org on Nov 12
Status: VERIFIED FIXED
11/12/2009 @ 5pm
:
Product: Infrastructure & Operations
Classification: Other
Component: WebOps: Other (show other bugs)
: other
: All Other
: -- normal (vote)
: ---
Assigned To: Jeremy Orem [:oremj]
: matthew zeier [:mrz]
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2009-11-12 11:42 PST by Wil Clouser [:clouserw]
Modified: 2013-10-09 10:29 PDT (History)
8 users (show)
mzeier: needs‑downtime+
See Also:
Due Date:
QA Whiteboard:
Iteration: ---
Points: ---
Cab Review: ServiceNow Change Request (use flag)


Attachments
5.3.sql (1.86 KB, text/plain)
2009-11-12 11:42 PST, Wil Clouser [:clouserw]
no flags Details
5.3.sql output (2.76 KB, text/plain)
2009-11-12 17:21 PST, Jeremy Orem [:oremj]
no flags Details

Description Wil Clouser [:clouserw] 2009-11-12 11:42:39 PST
Created attachment 412021 [details]
5.3.sql

This is a production AMO push for 5.3.  Steps are below, please paste the
output of all commands into this bug.  Steps to follow:

We should do this ahead of time (as soon as possible since it takes forever):

1) Grab this script and put in /bin/run_once/ : http://viewvc.svn.mozilla.org/vc/addons/trunk/bin/run_once/dump_all_blobs.py?view=log
1) Edit the "IT CHANGE THIS" section of /bin/run_once/dump_all_blobs.py to point to where we want the images to go.  It needs to be accessible and mounted on all the boxes.  Make sure it's read/write by all servers.  Ask us if you have questions about these settings.

2) make /site/app/webroot/img/uploads to the directory in #1.  This is so the apache rewrites work.

3) Run /bin/run_once/dump_all_blobs.py .  This will take many hours.

----------------------------------------------

This should be done once the site is ready to go:

0) Take the site down with a maintenance page.

1) Create a directory called NETAPP_STORAGE.'/HTMLPurifier' and make it writable

2) There are two new defines in config.php.default that start with REDIRECT_.  They should be copied to config.php and have correct values in them.  REDIRECT_URL is fine with the default, REDIRECT_SECRET_KEY needs to be the same value that is in outgoing.mozilla.org's config.

3) Run the attached 5.3 SQL.  It shouldn't take too long.

4) `svn up` addons.mozilla.org.  There are a couple local changes which need to
be reverted.

5) Run `php -f /bin/run_once/seed_purified_translations.php`.  This will take several minutes.

5) Update services.addons.mozilla.org with `svn up`

6) Restart apache to pick up gettext changes

7) Clear all caches (Zeus, memcache, local cake cache) on both AMO and SAMO.

I still need to tag the site so this bug is serving as advanced notice for now.
Comment 1 Jeremy Orem [:oremj] 2009-11-12 14:06:38 PST
Running /bin/run_once/dump_all_blobs.py.
Comment 2 Jeff Balogh (:jbalogh) 2009-11-12 16:56:02 PST
8) `svn up` outgoing.mozilla.org and clear any caches in front of it
Comment 3 Jeremy Orem [:oremj] 2009-11-12 17:16:03 PST
1. Done
2. Done
Comment 4 Jeremy Orem [:oremj] 2009-11-12 17:21:56 PST
Created attachment 412114 [details]
5.3.sql output

step 3.
Comment 5 Jeremy Orem [:oremj] 2009-11-12 17:32:23 PST
4. done
5a. error
5b. done
6. done
7. done
8. done
Comment 6 Jeremy Orem [:oremj] 2009-11-12 17:46:38 PST
5a: 
Now running:
	SELECT autoid,localized_string FROM translations where id IN (SELECT description FROM addons)
Now running:
	SELECT autoid,localized_string FROM translations where id IN (SELECT developercomments FROM addons)
Now running:
	SELECT autoid,localized_string FROM translations where id IN (SELECT releasenotes FROM versions)
Now running:
	SELECT autoid,localized_string FROM translations where id IN (SELECT bio FROM users)
Now running:
	SELECT autoid,localized_string FROM translations where id IN (SELECT summary FROM addons)
Now running:
	SELECT autoid,localized_string FROM translations where id IN (SELECT description FROM collections)
Comment 7 Stephen Donner [:stephend] 2009-11-12 18:42:41 PST
Verified FIXED; we're seeing a couple issues, but we'll work to address them:

1) 500 errors (intermittent) while updating add-ons' descriptions from the Dev CP
2) Bug 528403

Everything else looks good.

Note You need to log in before you can comment on or make changes to this bug.